XISUITEDokumentation

Dashboards

22 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List dashboards with optional filters#

GET/dashboardsToken

Parameter

NameOrtTypBeschreibung
spaceIdQuerystring–
includeOrgLevelQuerystring–
defaultQuerystring–
is_defaultQuerystring–
statusQuerystring–
visibilityQuerystring–
searchQuerystring–
pageQuerystring–
pageSizeQuerystring–

Antworten

  • 200Paginated dashboards returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/dashboards" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Create a dashboard#

POST/dashboardsToken

Request-Bodyapplication/jsonCreateDashboardDto

NameTypBeschreibung
organizationIdstring

Accepted for legacy Next route compatibility; ignored.

namePflichtstring

Beispiel: My Dashboard

descriptionstring–
space_idstring

Space UUID — null for org-level dashboard

is_defaultboolean

Standard: false

layout_configobject

Grid layout config

statusstring

Werte: draftactivearchived

Standard: "active"

visibilitystring

Werte: privatespaceorganization

Standard: "private"

Antworten

  • 201Dashboard created
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/dashboards" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"My Dashboard"}'

Get a dashboard by ID#

GET/dashboards/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200Dashboard returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/dashboards/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Update a dashboard#

PUT/dashboards/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonUpdateDashboardDto

NameTypBeschreibung
organizationIdstring

Accepted for legacy Next route compatibility; ignored.

namestring–
descriptionstring–
space_idstring–
is_defaultboolean–
layout_configobject–
statusstring

Werte: draftactivearchived

visibilitystring

Werte: privatespaceorganization

Antworten

  • 200Dashboard updated
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/dashboards/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"organizationId":"…","name":"…","description":"…"}'

Dashboard actions: set_default or archive#

PATCH/dashboards/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonPatchDashboardDto

NameTypBeschreibung
organizationIdstring

Accepted for legacy Next route compatibility; ignored.

actionPflichtstring

Action to perform

Werte: set_defaultarchive

Antworten

  • 200Action applied
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/dashboards/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"action":"set_default"}'

Soft-delete a dashboard (cannot delete default)#

DELETE/dashboards/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200Dashboard deleted
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/dashboards/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

List dashboard permissions#

GET/dashboards/{id}/permissionsToken

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200Permissions returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/dashboards/{id}/permissions" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Grant a dashboard permission#

POST/dashboards/{id}/permissionsToken

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonCreatePermissionDto

NameTypBeschreibung
organizationIdstring

Accepted for legacy Next route compatibility; ignored.

target_typePflichtstring

Werte: usergrouprolebase_role

target_idstring

Target UUID — required when target_type is user|group|role

base_rolestring

Required when target_type is base_role

Werte: owneradminmemberviewer

permission_levelPflichtstring

Werte: vieweditmanage

Antworten

  • 201Permission granted
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/dashboards/{id}/permissions" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"target_type":"user","permission_level":"view"}'

Update a permission level#

PUT/dashboards/{id}/permissions/{pid}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–
pidPflichtPfadstring–

Request-Bodyapplication/jsonUpdatePermissionDto

NameTypBeschreibung
organizationIdstring

Accepted for legacy Next route compatibility; ignored.

permission_levelPflichtstring

Werte: vieweditmanage

is_activeboolean

Accepted for legacy Next route compatibility.

Antworten

  • 200Permission updated
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/dashboards/{id}/permissions/{pid}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"permission_level":"view"}'

Revoke a dashboard permission#

DELETE/dashboards/{id}/permissions/{pid}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–
pidPflichtPfadstring–

Antworten

  • 200Permission revoked
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/dashboards/{id}/permissions/{pid}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

List widgets for a dashboard#

GET/dashboards/{id}/widgetsToken

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200Widgets returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/dashboards/{id}/widgets" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Add a widget to a dashboard#

POST/dashboards/{id}/widgetsToken

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonCreateWidgetDto

NameTypBeschreibung
organizationIdstring

Accepted for legacy Next route compatibility; ignored.

widget_typePflichtstring

Werte: heatmaplistflowchartstatscalendarrecent_activitycustomtablehtml_texttextprocesscountdownfiltertime_tracking_personaltime_tracking_teamresource_planningautomation_run_analyticsspace_storage_usagefile_explorer_list

titlestring–
positionPflichtWidgetPositionDto

Grid position {x, y, w, h, minW?, minH?}

configobject

Widget-specific config JSONB

data_source_typestring

Werte: processtasklistfilter

data_source_idstring–
auto_refreshboolean

Standard: false

refresh_intervalnumber

Refresh interval in seconds

Standard: 300

sort_ordernumber

Standard: 0

Antworten

  • 201Widget created
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/dashboards/{id}/widgets" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"widget_type":"heatmap","position":"…"}'

Get a single widget#

GET/dashboards/{id}/widgets/{wid}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–
widPflichtPfadstring–

Antworten

  • 200Widget returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/dashboards/{id}/widgets/{wid}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Update a widget#

PUT/dashboards/{id}/widgets/{wid}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–
widPflichtPfadstring–

Request-Bodyapplication/jsonUpdateWidgetDto

NameTypBeschreibung
organizationIdstring

Accepted for legacy Next route compatibility; ignored.

widget_typestring

Werte: heatmaplistflowchartstatscalendarrecent_activitycustomtablehtml_texttextprocesscountdownfiltertime_tracking_personaltime_tracking_teamresource_planningautomation_run_analyticsspace_storage_usagefile_explorer_list

titlestring–
positionWidgetPositionDto–
configobject–
data_source_typestring

Werte: processtasklistfilter

data_source_idstring–
auto_refreshboolean–
refresh_intervalnumber–
sort_ordernumber–

Antworten

  • 200Widget updated
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/dashboards/{id}/widgets/{wid}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"organizationId":"…","widget_type":"heatmap","title":"…"}'

Soft-delete a widget#

DELETE/dashboards/{id}/widgets/{wid}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–
widPflichtPfadstring–

Antworten

  • 200Widget deleted
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/dashboards/{id}/widgets/{wid}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Fetch widget data (saved_filter / custom_query / simple modes)#

GET/dashboards/{id}/widgets/{wid}/dataToken

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–
widPflichtPfadstring–
spaceIdQuerystring–
offsetPflichtQuerystring–

Antworten

  • 200Widget data returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/dashboards/{id}/widgets/{wid}/data" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Set filter widget targets#

PATCH/dashboards/{id}/widgets/{wid}/filter-targetsToken

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–
widPflichtPfadstring–

Antworten

  • 200Filter targets updated
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/dashboards/{id}/widgets/{wid}/filter-targets" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Get layout positions for all widgets#

GET/dashboards/{id}/widgets/layoutToken

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200Layout returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/dashboards/{id}/widgets/layout" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Bulk-update widget positions#

PATCH/dashboards/{id}/widgets/layoutToken

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonUpdateLayoutDto

NameTypBeschreibung
itemsLayoutItemDto[]

Array of widget positions to update

positionsLayoutItemDto[]

Array of widget positions to update

Antworten

  • 200Layout updated
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/dashboards/{id}/widgets/layout" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"items":[],"positions":[]}'

Get legacy-compatible risk heatmap matrix data#

GET/dashboards/heatmapToken

Parameter

NameOrtTypBeschreibung
organizationIdQuerystring

Accepted for legacy Next route compatibility; ignored.

matrixSizeQuerystring

Matrix size (2–5), default 5

showIssueCountQuerystring

"false" to hide issue count, default true

titleQuerystring

Heatmap title

requestTypesQuerystring

Comma-separated request types

statusQuerystring

Comma-separated status values, default "active"

coloringModeQuerystring

"individual-cells" or "risk-level" (default)

cellFontSizeQuerystring

Cell font size: small|medium|large|xlarge

spaceIdQuerystring

Filter by space UUID

Antworten

  • 200Heatmap data returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/dashboards/heatmap" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Generate legacy-compatible risk heatmap matrix data#

POST/dashboards/heatmapToken

Request-Bodyapplication/jsonGenerateHeatmapBodyDto

NameTypBeschreibung
organizationIdstring

Accepted for legacy Next route compatibility; ignored.

configobject

Accepted for legacy Next route compatibility; full config object.

matrixSizenumber

Matrix size (2–5)

showIssueCountboolean–
titlestring–
requestTypesstring[]–
statusstring[]–
coloringModestring

Werte: risk-levelindividual-cells

cellFontSizestring

Werte: smallmediumlargexlarge

spaceIdstring–
useCustomColorsboolean–
customColorsstring[]–
individualCellColorsobject–
individualCellTextsobject–
individualCellForegroundColorsobject–

Antworten

  • 200Heatmap data returned
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/dashboards/heatmap" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"organizationId":"…","config":{},"matrixSize":0}'

Get legacy-compatible heatmap risk summary for the organisation#

GET/dashboards/risk-summaryToken

Parameter

NameOrtTypBeschreibung
organizationIdQuerystring

Accepted for legacy Next route compatibility; ignored.

requestTypesQuerystring

Comma-separated request types

statusQuerystring

Comma-separated status values, default "active"

spaceIdQuerystring

Filter by space UUID

Antworten

  • 200Risk summary returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/dashboards/risk-summary" \
  -H "Authorization: Bearer $XISUITE_TOKEN"
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions